Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface DomainConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Container, NotificationBroadcaster, NotificationEmitter, PropertiesAccess, SystemPropertiesAccess

public interface DomainConfig
extends PropertiesAccess, SystemPropertiesAccess, ConfigElement, Container

Configuration for the <domain> element.

All configuration resides in a tree rooted at this .

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.config.SystemPropertiesAccess
`SYSTEM_PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`AdminObjectResourceConfig` | `createAdminObjectResourceConfig(java.lang.String jndiName, java.lang.String resType, java.lang.String resAdapter, java.util.Map optional)` Creates a new <admin-object-resource>.
`ClusterConfig` | `createClusterConfig(java.lang.String name, java.util.Map optional)` Create a new ClusterConfig which refers to a copy of the default-config.
`ClusterConfig` | `createClusterConfig(java.lang.String name, java.lang.String referencedConfigName, java.util.Map optional)` Create a new ClusterConfig.
`ClusteredServerConfig` | `createClusteredServerConfig(java.lang.String name, java.lang.String clusterName, java.lang.String nodeAgentName, java.util.Map optional)` Creates a new <server> that belongs to a cluster.
`ConfigConfig` | `createConfigConfig(java.lang.String name, java.util.Map optional)` Create a new <config> element.
`ConnectorConnectionPoolConfig` | `createConnectorConnectionPoolConfig(java.lang.String name, java.lang.String resourceAdapterName, java.lang.String connectionDefinitionName, java.util.Map optional)` Creates a new <connector-connection-pool> Valid keys in optional map include: `ConnectorConnectionPoolConfigKeys.STEADY_POOL_SIZE_KEY` `ConnectorConnectionPoolConfigKeys.MAX_POOL_SIZE_KEY` `ConnectorConnectionPoolConfigKeys.MAX_WAIT_TIME_IN_MILLIS_KEY` `ConnectorConnectionPoolConfigKeys.POOL_RESIZE_QUANTITY_KEY` `ConnectorConnectionPoolConfigKeys.IDLE_TIMEOUT_IN_SECONDS_KEY` `ConnectorConnectionPoolConfigKeys.FAIL_ALL_CONNECTIONS_KEY` `ConnectorConnectionPoolConfigKeys.TRANSACTION_SUPPORT_KEY` `#TRANSACTION_SUPPORT_KEY`
`ConnectorResourceConfig` | `createConnectorResourceConfig(java.lang.String jndiName, java.lang.String poolName, java.util.Map optional)` Creates a new <connector-resource> Legal optional keys include: ResourceConfigKeys#ENABLED_KEY
`CustomResourceConfig` | `createCustomResourceConfig(java.lang.String jndiName, java.lang.String resType, java.lang.String factoryClass, java.util.Map optional)` Creates a new custom resource.
`JDBCConnectionPoolConfig` | `createJDBCConnectionPoolConfig(java.lang.String name, java.lang.String datasourceClassname, java.util.Map optional)` Create a new <jdbc-connection-pool>.
`JDBCConnectionPoolConfig` | `createJDBCConnectionPoolConfig(java.lang.String name, java.lang.String connectionValidationMethod, java.lang.String datasourceClassname, boolean failAllConnections, int idleTimeoutSeconds, boolean connectionValidationRequired, boolean isolationLevelGuaranteed, java.lang.String transactionIsolationLevel, int maxPoolSize, int maxWaitTimeMillis, int poolResizeQuantity, java.lang.String resType, int steadyPoolSize, java.lang.String databaseName, java.lang.String databaseUserName, java.lang.String databasePassword, java.util.Map reservedForFutureUse)` Create a new <jdbc-connection-pool>.
`JDBCResourceConfig` | `createJDBCResourceConfig(java.lang.String jndiName, java.lang.String poolName, java.util.Map optional)` Create a new <jdbc-resource> Optional parameters include: `ResourceConfigKeys.ENABLED_KEY`
`JMSResourceConfig` | `createJMSResourceConfig(java.lang.String jndiName, java.lang.String poolName, java.util.Map optional)` Creates a new jms resource.
`JNDIResourceConfig` | `createJNDIResourceConfig(java.lang.String jndiName, java.lang.String jndiLookupName, java.lang.String resType, java.lang.String factoryClass, java.util.Map optional)` Creates a new <external-jndi-resource>.
`LifecycleModuleConfig` | `createLifecycleModuleConfig(java.lang.String name, java.lang.String description, java.lang.String classname, java.lang.String classpath, java.lang.String loadOrder, boolean isFailureFatal, boolean enabled, java.util.Map reserved)` Create a new lifecycle module.
`MailResourceConfig` | `createMailResourceConfig(java.lang.String jndiName, java.lang.String host, java.lang.String user, java.lang.String from, java.util.Map optional)` Create a new <mail-resource>.
`PersistenceManagerFactoryResourceConfig` | `createPersistenceManagerFactoryResourceConfig(java.lang.String jndiName, java.util.Map optional)` Create a new persistence manager factory resource.
`ResourceAdapterConfig` | `createResourceAdapterConfig(java.lang.String resourceAdapterName, java.util.Map optional)` Legal options include: `ResourceAdapterConfigKeys.THREAD_POOL_IDS_KEY`
`StandaloneServerConfig` | `createStandaloneServerConfig(java.lang.String name, java.lang.String nodeAgentName, java.lang.String configName, java.util.Map optional)` Create a new <server> given an existing config and node-agent.
`java.util.Map` | `getAdminObjectResourceConfigMap()` Calls Container.getContaineeMap( XTypes.ADMIN_OBJECT_RESOURCE_CONFIG ).
`java.util.Map` | `getAppClientModuleConfigMap()`
`java.lang.String` | `getApplicationRoot()`
`java.util.Map` | `getClusterConfigMap()` Calls Container.getContaineeMap( XTypes.CLUSTER_CONFIG ).
`java.util.Map` | `getClusteredServerConfigMap()` Calls Container.getContaineeMap( XTypes.CLUSTERED_SERVER_CONFIG ).
`java.util.Map` | `getConfigConfigMap()` Calls Container.getContaineeMap( XTypes.CONFIG_CONFIG ).
`java.util.Map` | `getConnectorConnectionPoolConfigMap()` Calls Container.getContaineeMap( XTypes.CONNECTOR_CONNECTION_POOL_CONFIG ).
`java.util.Map` | `getConnectorResourceConfigMap()` Calls Container.getContaineeMap( XTypes.CONNECTOR_RESOURCE_CONFIG ).
`java.util.Map` | `getCustomResourceConfigMap()` Calls Container.getContaineeMap( XTypes.CUSTOM_RESOURCE_CONFIG ).
`java.util.Map` | `getEJBModuleConfigMap()`
`java.util.Map` | `getJ2EEApplicationConfigMap()`
`java.util.Map` | `getJDBCConnectionPoolConfigMap()` Calls Container.getContaineeMap( XTypes.JDBC_CONNECTION_POOL_CONFIG ).
`java.util.Map` | `getJDBCResourceConfigMap()` Calls Container.getContaineeMap( XTypes.JDBC_RESOURCE_CONFIG ).
`java.util.Map` | `getJMSResourceConfigMap()` Calls Container.getContaineeMap( XTypes.JMS_RESOURCE_CONFIG ).
`java.util.Map` | `getJNDIResourceConfigMap()` Calls Container.getContaineeMap( XTypes.JNDI_RESOURCE_CONFIG ).
`java.util.Map` | `getLifecycleModuleConfigMap()`
`java.lang.String` | `getLocale()`
`java.lang.String` | `getLogRoot()`
`java.util.Map` | `getMailResourceConfigMap()` Calls Container.getContaineeMap( XTypes.MAIL_RESOURCE_CONFIG ).
`java.util.Map` | `getNodeAgentConfigMap()` Calls Container.getContaineeMap( XTypes.NODE_AGENT_CONFIG ).
`java.util.Map` | `getPersistenceManagerFactoryResourceConfigMap()` Calls Container.getContaineeMap( XTypes.PERSISTENCE_MANAGER_FACTORY_RESOURCE_CONFIG ).
`java.util.Map` | `getRARModuleConfigMap()`
`java.util.Map` | `getResourceAdapterConfigMap()` Calls Container.getContaineeMap( XTypes.RESOURCE_ADAPTER_CONFIG ).
`ResourceConfig` | `getResourceConfig(java.lang.String name)` Get a ResourceConfig of any kind.
`java.util.Map` | `getServerConfigMap()` Combines the results of getStandaloneServerConfigMap() and getClusteredServerConfigMap().
`java.util.Map` | `getStandaloneServerConfigMap()` Calls Container.getContaineeMap( XTypes.STANDALONE_SERVER_CONFIG ).
`SystemPropertiesConfig` | `getSystemPropertiesConfig()`
`java.util.Map` | `getWebModuleConfigMap()`
`void` | `removeAdminObjectResourceConfig(java.lang.String jndiName)` Removes an admin object resource.
`void` | `removeClusterConfig(java.lang.String name)` Remove an existing <cluster>.
`void` | `removeClusteredServerConfig(java.lang.String name)`
`void` | `removeConfigConfig(java.lang.String name)` Remove a config.
`void` | `removeConnectorConnectionPoolConfig(java.lang.String name)` Removes a connector connection pool.
`void` | `removeConnectorResourceConfig(java.lang.String jndiName)` Removes a connector resource.
`void` | `removeCustomResourceConfig(java.lang.String name)` Removes a custom resource.
`void` | `removeJDBCConnectionPoolConfig(java.lang.String jdbcConnectionPoolName)` Remove the <jdbc-connection-pool>.
`void` | `removeJDBCResourceConfig(java.lang.String jndiName)` Removes a jdbc resource.
`void` | `removeJMSResourceConfig(java.lang.String jndiName)` Removes a jms resource.
`void` | `removeJNDIResourceConfig(java.lang.String jndiName)` Remove the <external-jndi-resource>.
`void` | `removeLifecycleModuleConfig(java.lang.String name)` Removes an existing lifecycle module.
`void` | `removeMailResourceConfig(java.lang.String jndiName)` Removes a mail resource.
`void` | `removePersistenceManagerFactoryResourceConfig(java.lang.String jndiName)` Removes a persistence manager factory resource.
`void` | `removeResourceAdapterConfig(java.lang.String resourceAdapterName)`
`void` | `removeStandaloneServerConfig(java.lang.String name)`
`void` | `setApplicationRoot(java.lang.String value)`
`void` | `setLocale(java.lang.String value)`
`void` | `setLogRoot(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Methods inherited from interface com.sun.appserv.management.config.SystemPropertiesAccess
`createSystemProperty, existsSystemProperty, getSystemProperties, getSystemPropertyNames, getSystemPropertyValue, removeSystemProperty, setSystemPropertyValue`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getSystemPropertiesConfig

    public SystemPropertiesConfig getSystemPropertiesConfig()

### createStandaloneServerConfig

    public StandaloneServerConfig createStandaloneServerConfig(java.lang.String name,
                                                               java.lang.String nodeAgentName,
                                                               java.lang.String configName,
                                                               java.util.Map optional)

  Create a new <server> given an existing config and node-agent. These are required parameters for the server instance to be created.

  Parameters:
    `name` - the name of the server to create
    `nodeAgentName` - the node agent that the server will reference
    `configName` - the config that the server will reference
    `optional` - properties for this new server This is a Map object consisting of key/value for a given property, that can be applied to this server instance. The Map may also contain additional properties that can be applied to this server instance.

    Note that Properties that relate to ports of listeners are stored as system-properties and have specific key names and must be specified to override values defined in the config to any of the relevant ports - this is particularly required when the instance being created is on the same machine as other instances in the domain.

    Legal property keys are:

    - `ServerConfigKeys.HTTP_LISTENER_1_PORT_KEY` a port value for the http listener with name http-listener-1
    - `ServerConfigKeys.HTTP_LISTENER_2_PORT_KEY` a port value for the https listener with name http-listener-2
    - `ServerConfigKeys.ORB_LISTENER_1_PORT_KEY` a port value for the iiop listener with name orb-listener-1
    - `ServerConfigKeys.SSL_PORT_KEY` a port value for the secure iiop listener with name SSL
    - `ServerConfigKeys.SSL_MUTUALAUTH_PORT_KEY` a port value for the ssl-enabled listener supporting client-auth with name SSL-MUTUALAUTH
    - `ServerConfigKeys.JMX_SYSTEM_CONNECTOR_PORT_KEY` a port value for the JSR160 based JMX system connector with name JMX_SYSTEM_CONNECTOR
  Returns:
    A proxy to the StandaloneServerConfig MBean that manages the newly created server

### getNodeAgentConfigMap

    public java.util.Map getNodeAgentConfigMap()

  Calls Container.getContaineeMap( XTypes.NODE_AGENT_CONFIG ).

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### getConfigConfigMap

    public java.util.Map getConfigConfigMap()

  Calls Container.getContaineeMap( XTypes.CONFIG_CONFIG ).

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createConfigConfig

    public ConfigConfig createConfigConfig(java.lang.String name,
                                           java.util.Map optional)

  Create a new <config> element. Legal keys in the optional Map include:
  - `ConfigConfigKeys.DYNAMIC_RECONFIGURATION_ENABLED_KEY`

  Parameters:
    `name` - name of the <config>
    `optional` - optional attributes for config creation
  Returns:
    Returns a proxy to the ConfigConfig MBean.
  See Also:
    `ConfigConfigKeys`

### removeConfigConfig

    public void removeConfigConfig(java.lang.String name)

  Remove a config. This will fail if any or refers to it.

  Parameters:
    `name` - The config name.

### getStandaloneServerConfigMap

    public java.util.Map getStandaloneServerConfigMap()

  Calls Container.getContaineeMap( XTypes.STANDALONE_SERVER_CONFIG ).

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### getClusteredServerConfigMap

    public java.util.Map getClusteredServerConfigMap()

  Calls Container.getContaineeMap( XTypes.CLUSTERED_SERVER_CONFIG ).

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### removeStandaloneServerConfig

    public void removeStandaloneServerConfig(java.lang.String name)

### removeClusteredServerConfig

    public void removeClusteredServerConfig(java.lang.String name)

### createClusteredServerConfig

    public ClusteredServerConfig createClusteredServerConfig(java.lang.String name,
                                                             java.lang.String clusterName,
                                                             java.lang.String nodeAgentName,
                                                             java.util.Map optional)

  Creates a new <server> that belongs to a cluster.

  Parameters:
    `name` - Name of the server.
    `nodeAgentName` - Name of the node agent that should manage this
    `clusterName` - Name of the cluster to which this server should belong. server's lifecycle.

    Note that it is prefereable to pass in an existing nodeagent's name. A non-existent nodeagent name can be passed in but this nodeagent's hostname attribute will be marked as "localhost" as an assumption is made that the nodeagent is local. The nodeagent should be created through the create-node-agent command using the Command Line Interface(CLI) on the machine where this instance is intended to reside after this create() operation. Prior to starting this instance, that nodeagent will have to be started using the CLI command start-node-agent.

    `optional` - Attributes and properties for this new server This is a Map object consisting of key/value for a given property, that can be applied to this server instance. The Map may also contain additional properties that can be applied to this server instance.

    Note that Properties that relate to ports of listeners are stored as system-properties and have specific key names and must be specified to override values defined in the config to any of the relevant ports - this is particularly required when the instance being created is on the same machine as other instances in the domain.

    Legal keys are:

    - `ServerConfigKeys.HTTP_LISTENER_1_PORT_KEY` a port value for the http listener with name http-listener-1
    - `ServerConfigKeys.HTTP_LISTENER_2_PORT_KEY` a port value for the https listener with name http-listener-2
    - `ServerConfigKeys.ORB_LISTENER_1_PORT_KEY` a port value for the iiop listener with name orb-listener-1
    - `ServerConfigKeys.SSL_PORT_KEY` a port value for the secure iiop listener with name SSL
    - `ServerConfigKeys.SSL_MUTUALAUTH_PORT_KEY` a port value for the ssl-enabled listener supporting client-auth with name SSL-MUTUALAUTH
    - `ServerConfigKeys.JMX_SYSTEM_CONNECTOR_PORT_KEY` a port value for the JSR160 based JMX system connector with name JMX_SYSTEM_CONNECTOR
  Returns:
    A proxy to the ClusteredServerConfig MBean.

### getServerConfigMap

    public java.util.Map getServerConfigMap()

  Combines the results of getStandaloneServerConfigMap() and getClusteredServerConfigMap().

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### getClusterConfigMap

    public java.util.Map getClusterConfigMap()

  Calls Container.getContaineeMap( XTypes.CLUSTER_CONFIG ).

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createClusterConfig

    public ClusterConfig createClusterConfig(java.lang.String name,
                                             java.lang.String referencedConfigName,
                                             java.util.Map optional)

  Create a new ClusterConfig. The 'referencedConfigName' must be non-null and must not be "default-config" or "server-config". If it is desired to create a new ClusterConfig which uses a copy of default-config, use the createClusterConfig( name, reserved ) form.

  Parameters:
    `name` - the name of the cluster to create.
    `referencedConfigName` - the non-null name of the config to reference.
    `optional` - optional values, properties only
  Returns:
    a ClusterConfig

### createClusterConfig

    public ClusterConfig createClusterConfig(java.lang.String name,
                                             java.util.Map optional)

  Create a new ClusterConfig which refers to a copy of the default-config.

  Parameters:
    `name` - the name of the cluster to create.
    `optional` - optional values, properties only
  Returns:
    a ClusterConfig

### removeClusterConfig

    public void removeClusterConfig(java.lang.String name)

  Remove an existing <cluster>.

  Parameters:
    `name` - the name of the cluster to remove.

### getApplicationRoot

    public java.lang.String getApplicationRoot()

### setApplicationRoot

    public void setApplicationRoot(java.lang.String value)

### getLocale

    public java.lang.String getLocale()

### setLocale

    public void setLocale(java.lang.String value)

### getLogRoot

    public java.lang.String getLogRoot()

### setLogRoot

    public void setLogRoot(java.lang.String value)

### getCustomResourceConfigMap

    public java.util.Map getCustomResourceConfigMap()

  Calls Container.getContaineeMap( XTypes.CUSTOM_RESOURCE_CONFIG ).

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createCustomResourceConfig

    public CustomResourceConfig createCustomResourceConfig(java.lang.String jndiName,
                                                           java.lang.String resType,
                                                           java.lang.String factoryClass,
                                                           java.util.Map optional)

  Creates a new custom resource.
  - `ResourceConfigKeys.ENABLED_KEY`

  Parameters:
    `jndiName` -
    `resType` -
    `factoryClass` -
    `optional` - optional Attributes (may be null )
  Returns:
    A proxy to the CustomResourceConfig MBean.

### removeCustomResourceConfig

    public void removeCustomResourceConfig(java.lang.String name)

  Removes a custom resource.

  Parameters:
    `name` - The name of the custom resource.

### getJNDIResourceConfigMap

    public java.util.Map getJNDIResourceConfigMap()

  Calls Container.getContaineeMap( XTypes.JNDI_RESOURCE_CONFIG ).

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createJNDIResourceConfig

    public JNDIResourceConfig createJNDIResourceConfig(java.lang.String jndiName,
                                                       java.lang.String jndiLookupName,
                                                       java.lang.String resType,
                                                       java.lang.String factoryClass,
                                                       java.util.Map optional)

  Creates a new <external-jndi-resource>. Optional values include:
  - `ResourceConfigKeys.ENABLED_KEY`

  Parameters:
    `jndiName` -
    `jndiLookupName` -
    `resType` -
    `factoryClass` -
    `optional` - optional Attributes (may be null )
  Returns:
    a JNDIResourceConfig

### removeJNDIResourceConfig

    public void removeJNDIResourceConfig(java.lang.String jndiName)

  Remove the <external-jndi-resource>.

  Parameters:
    `jndiName` - The jndi name of the external jndi resource to be removed.

### getPersistenceManagerFactoryResourceConfigMap

    public java.util.Map getPersistenceManagerFactoryResourceConfigMap()

  Calls Container.getContaineeMap( XTypes.PERSISTENCE_MANAGER_FACTORY_RESOURCE_CONFIG ).

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createPersistenceManagerFactoryResourceConfig

    public PersistenceManagerFactoryResourceConfig createPersistenceManagerFactoryResourceConfig(java.lang.String jndiName,
                                                                                                 java.util.Map optional)

  Create a new persistence manager factory resource. Optional values include:
  - `PersistenceManagerFactoryResourceConfigKeys.FACTORY_CLASS_KEY`
  - `PersistenceManagerFactoryResourceConfigKeys.JDBC_RESOURCE_JNDI_NAME_KEY`
  - `ResourceConfigKeys.ENABLED_KEY`

  Parameters:
    `jndiName` -
    `optional` - optional Attributes (may be null )
  Returns:
    A proxy to the PersistenceManagerFactoryResourceConfig MBean that manages the newly created resource.
  See Also:
    `PersistenceManagerFactoryResourceConfigKeys`

### removePersistenceManagerFactoryResourceConfig

    public void removePersistenceManagerFactoryResourceConfig(java.lang.String jndiName)

  Removes a persistence manager factory resource.

  Parameters:
    `jndiName` -

### getJMSResourceConfigMap

    public java.util.Map getJMSResourceConfigMap()

  Calls Container.getContaineeMap( XTypes.JMS_RESOURCE_CONFIG ).

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createJMSResourceConfig

    public JMSResourceConfig createJMSResourceConfig(java.lang.String jndiName,
                                                     java.lang.String poolName,
                                                     java.util.Map optional)

  Creates a new jms resource.
  - `ResourceConfigKeys.ENABLED_KEY`

  Parameters:
    `jndiName` -
    `poolName` -
    `optional` - optional Attributes (may be null )
  Returns:
    A proxy to the JMSResourceConfig MBean that manages the newly created jms-resource.

### removeJMSResourceConfig

    public void removeJMSResourceConfig(java.lang.String jndiName)

  Removes a jms resource.

  Parameters:
    `jndiName` -

### getJDBCResourceConfigMap

    public java.util.Map getJDBCResourceConfigMap()

  Calls Container.getContaineeMap( XTypes.JDBC_RESOURCE_CONFIG ).

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createJDBCResourceConfig

    public JDBCResourceConfig createJDBCResourceConfig(java.lang.String jndiName,
                                                       java.lang.String poolName,
                                                       java.util.Map optional)

  Create a new <jdbc-resource> Optional parameters include:
  - `ResourceConfigKeys.ENABLED_KEY`

  Parameters:
    `jndiName` -
    `poolName` -
    `optional` - optional Attributes (may be null )
  Returns:
    A proxy to the JDBCResourceConfig MBean that manages the newly created jdbc-resource.

### removeJDBCResourceConfig

    public void removeJDBCResourceConfig(java.lang.String jndiName)

  Removes a jdbc resource.

  Parameters:
    `jndiName` -

### getJDBCConnectionPoolConfigMap

    public java.util.Map getJDBCConnectionPoolConfigMap()

  Calls Container.getContaineeMap( XTypes.JDBC_CONNECTION_POOL_CONFIG ).

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createJDBCConnectionPoolConfig

    public JDBCConnectionPoolConfig createJDBCConnectionPoolConfig(java.lang.String name,
                                                                   java.lang.String connectionValidationMethod,
                                                                   java.lang.String datasourceClassname,
                                                                   boolean failAllConnections,
                                                                   int idleTimeoutSeconds,
                                                                   boolean connectionValidationRequired,
                                                                   boolean isolationLevelGuaranteed,
                                                                   java.lang.String transactionIsolationLevel,
                                                                   int maxPoolSize,
                                                                   int maxWaitTimeMillis,
                                                                   int poolResizeQuantity,
                                                                   java.lang.String resType,
                                                                   int steadyPoolSize,
                                                                   java.lang.String databaseName,
                                                                   java.lang.String databaseUserName,
                                                                   java.lang.String databasePassword,
                                                                   java.util.Map reservedForFutureUse)

  Create a new <jdbc-connection-pool>.

  Parameters:
    `name` - name of the <jdbc-connection-pool>
    `connectionValidationMethod` -
    `datasourceClassname` -
    `failAllConnections` -
    `idleTimeoutSeconds` -
    `connectionValidationRequired` -
    `isolationLevelGuaranteed` -
    `transactionIsolationLevel` -
    `maxPoolSize` -
    `maxWaitTimeMillis` -
    `poolResizeQuantity` -
    `resType` -
    `steadyPoolSize` -
    `databaseName` -
    `databaseUserName` -
    `databasePassword` -
    `reservedForFutureUse` - reserved for future use
  Returns:
    a JDBCConnectionPoolConfig

### createJDBCConnectionPoolConfig

    public JDBCConnectionPoolConfig createJDBCConnectionPoolConfig(java.lang.String name,
                                                                   java.lang.String datasourceClassname,
                                                                   java.util.Map optional)

  Create a new <jdbc-connection-pool>. Legal optional attributes include:
  - `JDBCConnectionPoolConfigKeys.CONNECTION_VALIDATION_METHOD_KEY`
  - `JDBCConnectionPoolConfigKeys.VALIDATION_TABLE_NAME_KEY`
  - `JDBCConnectionPoolConfigKeys.FAIL_ALL_CONNECTIONS_KEY`
  - `JDBCConnectionPoolConfigKeys.IDLE_TIMEOUT_IN_SECONDS_KEY`
  - `JDBCConnectionPoolConfigKeys.IS_CONNECTION_VALIDATION_REQUIRED_KEY`
  - `JDBCConnectionPoolConfigKeys.IS_ISOLATION_LEVEL_GUARANTEED_KEY`
  - `JDBCConnectionPoolConfigKeys.TRANSACTION_ISOLATION_LEVEL_KEY`
  - `JDBCConnectionPoolConfigKeys.MAX_POOL_SIZE_KEY`
  - `JDBCConnectionPoolConfigKeys.MAX_WAIT_TIME_MILLIS_KEY`
  - `JDBCConnectionPoolConfigKeys.POOL_RESIZE_QUANTITY_KEY`
  - `JDBCConnectionPoolConfigKeys.RES_TYPE_KEY`
  - `JDBCConnectionPoolConfigKeys.STEADY_POOL_SIZE_KEY`
  - `JDBCConnectionPoolConfigKeys.DATABASE_NAME_KEY`
  - `JDBCConnectionPoolConfigKeys.DATABASE_USER_KEY`
  - `JDBCConnectionPoolConfigKeys.DATABASE_PASSWORD_KEY`

  Parameters:
    `name` - name of the <jdbc-connection-pool>
    `datasourceClassname` -
    `optional` - optional parameters
  Returns:
    a JDBCConnectionPoolConfig

### removeJDBCConnectionPoolConfig

    public void removeJDBCConnectionPoolConfig(java.lang.String jdbcConnectionPoolName)

  Remove the <jdbc-connection-pool>.

  Parameters:
    `jdbcConnectionPoolName` -

### getConnectorResourceConfigMap

    public java.util.Map getConnectorResourceConfigMap()

  Calls Container.getContaineeMap( XTypes.CONNECTOR_RESOURCE_CONFIG ).

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createConnectorResourceConfig

    public ConnectorResourceConfig createConnectorResourceConfig(java.lang.String jndiName,
                                                                 java.lang.String poolName,
                                                                 java.util.Map optional)

  Creates a new <connector-resource> Legal optional keys include:
  - ResourceConfigKeys#ENABLED_KEY

  Parameters:
    `jndiName` -
    `poolName` -
    `optional` - optional parameters (may be null).

### removeConnectorResourceConfig

    public void removeConnectorResourceConfig(java.lang.String jndiName)

  Removes a connector resource.

  Parameters:
    `jndiName` -

### getConnectorConnectionPoolConfigMap

    public java.util.Map getConnectorConnectionPoolConfigMap()

  Calls Container.getContaineeMap( XTypes.CONNECTOR_CONNECTION_POOL_CONFIG ).

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createConnectorConnectionPoolConfig

    public ConnectorConnectionPoolConfig createConnectorConnectionPoolConfig(java.lang.String name,
                                                                             java.lang.String resourceAdapterName,
                                                                             java.lang.String connectionDefinitionName,
                                                                             java.util.Map optional)

  Creates a new <connector-connection-pool> Valid keys in optional map include:
  - `ConnectorConnectionPoolConfigKeys.STEADY_POOL_SIZE_KEY`
  - `ConnectorConnectionPoolConfigKeys.MAX_POOL_SIZE_KEY`
  - `ConnectorConnectionPoolConfigKeys.MAX_WAIT_TIME_IN_MILLIS_KEY`
  - `ConnectorConnectionPoolConfigKeys.POOL_RESIZE_QUANTITY_KEY`
  - `ConnectorConnectionPoolConfigKeys.IDLE_TIMEOUT_IN_SECONDS_KEY`
  - `ConnectorConnectionPoolConfigKeys.FAIL_ALL_CONNECTIONS_KEY`
  - `ConnectorConnectionPoolConfigKeys.TRANSACTION_SUPPORT_KEY`
  - `#TRANSACTION_SUPPORT_KEY`

  Parameters:
    `name` - pool name.
    `resourceAdapterName` -
    `connectionDefinitionName` - unique name, identifying one connection-definition in a Resource Adapter.
    `optional` -
  Returns:
    A proxy to the ConnectorConnectionPoolConfig MBean that manages the newly created connector-connection-pool element.
  See Also:
    `ConnectorConnectionPoolConfigKeys`

### removeConnectorConnectionPoolConfig

    public void removeConnectorConnectionPoolConfig(java.lang.String name)

  Removes a connector connection pool.

  Parameters:
    `name` - pool name.

### getAdminObjectResourceConfigMap

    public java.util.Map getAdminObjectResourceConfigMap()

  Calls Container.getContaineeMap( XTypes.ADMIN_OBJECT_RESOURCE_CONFIG ).

  Returns:
    Map of items, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createAdminObjectResourceConfig

    public AdminObjectResourceConfig createAdminObjectResourceConfig(java.lang.String jndiName,
                                                                     java.lang.String resType,
                                                                     java.lang.String resAdapter,
                                                                     java.util.Map optional)

  Creates a new <admin-object-resource>.
  - `ResourceConfigKeys.ENABLED_KEY`

  Parameters:
    `jndiName` - JNDI name of the resource.
    `resType` -
    `resAdapter` - Name of the inbound resource adapter.
    `optional` - optional Attributes (may be null )
  Returns:
    A proxy to the AdminObjectResourceConfig MBean.

### removeAdminObjectResourceConfig

    public void removeAdminObjectResourceConfig(java.lang.String jndiName)

  Removes an admin object resource.

  Parameters:
    `jndiName` - JNDI name of the resource.

### getResourceAdapterConfigMap

    public java.util.Map getResourceAdapterConfigMap()

  Calls Container.getContaineeMap( XTypes.RESOURCE_ADAPTER_CONFIG ).

  Returns:
    Map of AMXs, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createResourceAdapterConfig

    public ResourceAdapterConfig createResourceAdapterConfig(java.lang.String resourceAdapterName,
                                                             java.util.Map optional)

  Legal options include:
  - `ResourceAdapterConfigKeys.THREAD_POOL_IDS_KEY`

### removeResourceAdapterConfig

    public void removeResourceAdapterConfig(java.lang.String resourceAdapterName)

### getMailResourceConfigMap

    public java.util.Map getMailResourceConfigMap()

  Calls Container.getContaineeMap( XTypes.MAIL_RESOURCE_CONFIG ).

  Returns:
    Map of s, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createMailResourceConfig

    public MailResourceConfig createMailResourceConfig(java.lang.String jndiName,
                                                       java.lang.String host,
                                                       java.lang.String user,
                                                       java.lang.String from,
                                                       java.util.Map optional)

  Create a new <mail-resource>. Optional keys are:
  - `MailResourceConfigKeys.STORE_PROTOCOL_KEY`
  - `MailResourceConfigKeys.STORE_PROTOCOL_CLASS_KEY`
  - `MailResourceConfigKeys.TRANSPORT_PROTOCOL_KEY`
  - `MailResourceConfigKeys.TRANSPORT_PROTOCOL_CLASS_KEY`
  - `MailResourceConfigKeys.DEBUG_KEY`

  Parameters:
    `jndiName` -
    `host` -
    `user` -
    `from` -
    `optional` -
  Returns:
    A MailResourceConfig.
  See Also:
    `MailResourceConfigKeys`

### removeMailResourceConfig

    public void removeMailResourceConfig(java.lang.String jndiName)

  Removes a mail resource.

  Parameters:
    `jndiName` -

### getJ2EEApplicationConfigMap

    public java.util.Map getJ2EEApplicationConfigMap()

  Returns:
    Map, keyed by name of `J2EEApplicationConfig`
  See Also:
    `getEJBModuleConfigMap()`, `getWebModuleConfigMap()`, `getAppClientModuleConfigMap()`, `getRARModuleConfigMap()`, `getLifecycleModuleConfigMap()`

### getEJBModuleConfigMap

    public java.util.Map getEJBModuleConfigMap()

  Returns:
    Map, keyed by name of `EJBModuleConfig`.
  See Also:
    `getJ2EEApplicationConfigMap()`, `getWebModuleConfigMap()`, `getAppClientModuleConfigMap()`, `getRARModuleConfigMap()`, `getLifecycleModuleConfigMap()`

### getWebModuleConfigMap

    public java.util.Map getWebModuleConfigMap()

  Returns:
    Map, keyed by name of `WebModuleConfig`.
  See Also:
    `getJ2EEApplicationConfigMap()`, `getEJBModuleConfigMap()`, `getAppClientModuleConfigMap()`, `getRARModuleConfigMap()`, `getLifecycleModuleConfigMap()`

### getRARModuleConfigMap

    public java.util.Map getRARModuleConfigMap()

  Returns:
    Map, keyed by name of `RARModuleConfig`.
  See Also:
    `getJ2EEApplicationConfigMap()`, `getWebModuleConfigMap()`, `getEJBModuleConfigMap()`, `getAppClientModuleConfigMap()`, `getLifecycleModuleConfigMap()`

### getAppClientModuleConfigMap

    public java.util.Map getAppClientModuleConfigMap()

  Returns:
    Map, keyed by name of `AppClientModuleConfig`.
  See Also:
    `getJ2EEApplicationConfigMap()`, `getWebModuleConfigMap()`, `getEJBModuleConfigMap()`, `getRARModuleConfigMap()`, `getLifecycleModuleConfigMap()`

### getLifecycleModuleConfigMap

    public java.util.Map getLifecycleModuleConfigMap()

  Returns:
    Map, keyed by name of `LifecycleModuleConfig`.

### createLifecycleModuleConfig

    public LifecycleModuleConfig createLifecycleModuleConfig(java.lang.String name,
                                                             java.lang.String description,
                                                             java.lang.String classname,
                                                             java.lang.String classpath,
                                                             java.lang.String loadOrder,
                                                             boolean isFailureFatal,
                                                             boolean enabled,
                                                             java.util.Map reserved)

  Create a new lifecycle module.

  Parameters:
    `name` - the name for the new lifecycle module
    `description` -
    `classname` - the classname associated with this lifecycle module
    `classpath` -
    `loadOrder` -
    `isFailureFatal` -
    `enabled` -
  Returns:
    A proxy to the LifecycleModuleConfig MBean representing the new module

### removeLifecycleModuleConfig

    public void removeLifecycleModuleConfig(java.lang.String name)

  Removes an existing lifecycle module.

  Parameters:
    `name` - the name of the lifecycle module to be removed.

### getResourceConfig

    public ResourceConfig getResourceConfig(java.lang.String name)

  Get a ResourceConfig of any kind.

  Parameters:
    `name` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.